import fs from 'fs';
import path from 'path';

export const events = fs.readFileSync(path.join(__dirname, 'events.gql'), 'utf8');
export const eventsInRange = fs.readFileSync(path.join(__dirname, 'eventsInRange.gql'), 'utf8');
export const uniswapFactory = fs.readFileSync(path.join(__dirname, 'uniswapFactory.gql'), 'utf8');
export const uniswapFactories = fs.readFileSync(path.join(__dirname, 'uniswapFactories.gql'), 'utf8');
export const token = fs.readFileSync(path.join(__dirname, 'token.gql'), 'utf8');
export const tokens = fs.readFileSync(path.join(__dirname, 'tokens.gql'), 'utf8');
export const pair = fs.readFileSync(path.join(__dirname, 'pair.gql'), 'utf8');
export const pairs = fs.readFileSync(path.join(__dirname, 'pairs.gql'), 'utf8');
export const user = fs.readFileSync(path.join(__dirname, 'user.gql'), 'utf8');
export const users = fs.readFileSync(path.join(__dirname, 'users.gql'), 'utf8');
export const liquidityPosition = fs.readFileSync(path.join(__dirname, 'liquidityPosition.gql'), 'utf8');
export const liquidityPositions = fs.readFileSync(path.join(__dirname, 'liquidityPositions.gql'), 'utf8');
export const liquidityPositionSnapshot = fs.readFileSync(path.join(__dirname, 'liquidityPositionSnapshot.gql'), 'utf8');
export const liquidityPositionSnapshots = fs.readFileSync(path.join(__dirname, 'liquidityPositionSnapshots.gql'), 'utf8');
export const transaction = fs.readFileSync(path.join(__dirname, 'transaction.gql'), 'utf8');
export const transactions = fs.readFileSync(path.join(__dirname, 'transactions.gql'), 'utf8');
export const mint = fs.readFileSync(path.join(__dirname, 'mint.gql'), 'utf8');
export const mints = fs.readFileSync(path.join(__dirname, 'mints.gql'), 'utf8');
export const burn = fs.readFileSync(path.join(__dirname, 'burn.gql'), 'utf8');
export const burns = fs.readFileSync(path.join(__dirname, 'burns.gql'), 'utf8');
export const swap = fs.readFileSync(path.join(__dirname, 'swap.gql'), 'utf8');
export const swaps = fs.readFileSync(path.join(__dirname, 'swaps.gql'), 'utf8');
export const bundle = fs.readFileSync(path.join(__dirname, 'bundle.gql'), 'utf8');
export const bundles = fs.readFileSync(path.join(__dirname, 'bundles.gql'), 'utf8');
export const uniswapDayData = fs.readFileSync(path.join(__dirname, 'uniswapDayData.gql'), 'utf8');
export const uniswapDayDatas = fs.readFileSync(path.join(__dirname, 'uniswapDayDatas.gql'), 'utf8');
export const pairHourData = fs.readFileSync(path.join(__dirname, 'pairHourData.gql'), 'utf8');
export const pairHourDatas = fs.readFileSync(path.join(__dirname, 'pairHourDatas.gql'), 'utf8');
export const pairDayData = fs.readFileSync(path.join(__dirname, 'pairDayData.gql'), 'utf8');
export const pairDayDatas = fs.readFileSync(path.join(__dirname, 'pairDayDatas.gql'), 'utf8');
export const tokenDayData = fs.readFileSync(path.join(__dirname, 'tokenDayData.gql'), 'utf8');
export const tokenDayDatas = fs.readFileSync(path.join(__dirname, 'tokenDayDatas.gql'), 'utf8');
export const _meta = fs.readFileSync(path.join(__dirname, '_meta.gql'), 'utf8');
export const getStateByCID = fs.readFileSync(path.join(__dirname, 'getStateByCID.gql'), 'utf8');
export const getState = fs.readFileSync(path.join(__dirname, 'getState.gql'), 'utf8');
export const getSyncStatus = fs.readFileSync(path.join(__dirname, 'getSyncStatus.gql'), 'utf8');
